# Nmap network security scanner man page (Lithuanian translation)

    NMAP(1)                                                                NMAP(1)

## PAVADINIMAS

           nmap - tinklo tyrinmo nkis bei saugumo skeneris

## SINTAKS.B nmap

           [skanavimo tipas(ai)] [opcijos] <hostas/tinklas #1 ... #n>

## APIBINIMAS

           nmap'as  yra  sukurtas  tam,  kad  leistteministratoriams bei smalsiems
           individams skanuoti didelius tinklus, siekiant nustatyti  kokie  hostai
           yra  veikiantys  ir kokias paslaugas jie si.I nmap'as turi be galo daug
           skanavimo technologiji: UDP, TCP connect(), TCP SYN  (pusiau  atviras),
           ftp  proxy  (bounce  ataka),  Reverse-ident, ICMP(ping sweep), FIN, ACK
           sweep, Xmas Tree, SYN sweep, bei Null skan'as.  Skanavimo Tipai  sekci-
           joje  rasite apie tai smulkesninformacijos.  nmap'as taip pat turi nema
           savybikip nutolusio kompiuterio (toliau vadinamo  'remote')  (O)peracin
           (S)istemos  nustatymas  per TCP/IP fingerprintinima, stealth (vogtinis)
           skanavimas, dinaminpauz ir  retransimisijos  skai vimai,  lygiagretusis
           skanavimas , nepasiekiamt'tatymas skanuojant lygiagre skanavimo metodu,
           decoy skanavimas, filtruojamttatymas, tiesioginis RPC skanavimas, frag-
           mentinis skanavimas, bei labai lankstus taikinio ir portodymas.

           nmap'o  autorius  stengiasi kaip galima daugiau irip'o galimybieikti ne
           tik root vartotojui, bet ir paprastam sistemos vartotojui, deja  daug s
           kritini  temos  branduolio  (kernel)  interfeis ki p  "raw  socket'ai")
           reikalauja root'o privilegijdnmap'as tur  b audojamas  root'u  kai  tik
           noma.

           nmap'o naudojimo rezultatas daiai baprasusias smitstnuojamoje maje(se).
           Nmap'as visada parodo kokiaslaugservice) teikia portas, jo numer b  bei
           protokol B  nusako  vienas  iijopen", "filtered", "unfiltered".  "open"
           (atviras) rei, kad taikinys leis prisijungti prie    porto.  "filtered"
           (filtruojamas)  rei , kad firewall'as (ugnies siena), filtras ar dar ka
           mus nkis dengia portdto nmap'as tiklsiai  negali  nustatyti  ar  portas
           atviras.  "unfiltered"  (nefiltruojamas)  parodo, kad portas yra tikrai
           "closed" (uas) ir nera dengiamas jokio firewall'o/filtro.  Nefiltruoja-
           mas  portas  yra gan astas atvs ir yra rodomas tik tuo atveju, kai dau-
           guma ianuott filtruojami.

           Priklausomai nuo to, kokios opcijos naudojamos, nmap'as taip  pat  gali
           parodyti ir nutolusio kompiuterio: (O)peracinS)istemTCP susekamumvarto-
           toju vardus, kuriems priklauso tam tikri procesai, DNS  vardus  ir  dar
           vienit.SH OPCIJOS Prasmingos opcijos visos gali bas kartu (t.y. vienoje
           eilut).  nmap'as stengsis pasakyti, kokias klaidas  esate  padar ai jei
           esate :).

           Jei  esate  nekantrus,  galite ito elti ekcijI pavyzdale dokumento, kur
           gan aii parodo naudojimTaip pat galite paleisti nmap -h  ir  pamatysite
           pagrindines opcijas, su trumpais aprais.

           SKANAVIMTIPAI

           -sT    papras usias  TCP  connect() skanavimas. Jndote prisijungti prie
                  kiekvieno porto il Jei portas klausosi, nmap'as prisijungia prie
                  jo,  taigi jei host'as logina, jis matys, kad bandote jungtis. s
                  metodas yra tiksliausias,  bet  rekomenduo u  j audoti  tik  tuo
                  atveju,  jei skanuojate savo ar draugo kompiutert.y. tokdkurio v
                  au tikrai nesusilauksite nemalonum P  -sS  TCP  SYN  skanavimas,
                  kitaip  dar  da adinamas kaip "pusiau-atviras" skanavimas, nes n
                  padaromas TCP prisijungimas.   J pras usiai  nusiun te  TCP  SYN
                  paketukaip kad normas prisijungti ir laukiate atsakymo. Pakanka-
                  mai neblogas metodas, bet jei yra filtruojamtz. pastatytas fire-
                  wall'as) ir host kompiuteris juos logina, - b pastebs.

           -sF -sX -sN
                  Stealth  FIN,  Xmas  Tree  bei  Null  skanavimo  re Tai yra tiek
                  saugesni skanavimo bnei TCP SYN (pastebimumo atu), bet deja  nei
                  vienas  i  neveikia  M$ sistemoms.  Itos pus tai nebloga priemon
                  kurios pagalba galima nustatyti ar tai M$ sistema  ar  ne,  t.y.
                  jei  -sF  -sX  arba  -sN  parodo, kad visi portai ui, o -sS rodo
                  kelis atvirus portus, taikinys greiusiai windows dt.TP  -sP  Tai
                  papras usias ping'as, kuris parodo kurie hostai tinkle yra gyvi.
                  Atliekama paprasusiai siunnt ICMP echo pra (request).  Deja  kai
                  kurie  saitai  (kaip mail.takas.lt) blokuoja pras. Kad ikro tik-
                  inti, ar hostas negyvas, nmap'as nusiun ir TCP  ack  paketuk  80
                  (standarti )  portJei gauname atgal RST, rei hostas gyvas. Pagal
                  standartr00t'ui) nmap'as  naudoja  abu  ICMP  bei  ACK  metodus.
                  Pakankamai  efektyvu,  nes vienu metu galite patikrinti #n hostP
                  -sU UDP skanavimas. Naudojamas  tam,  kad  nustatyti  kokie  UDP
                  (User Datagram Protocol,  RFC 768) portai yra atviri.

                  Kai  kurie mano, kad UDP skanavimas yra beprasmi, bet jrisiminti
                  verta vien dvienos Solaris rcpbind skyl Taip pat  yra  cDc  Back
                  Orifice trojanas, kuris atsidaro UDP portnt window'sila tik, kad
                  UDP skanavimas kartais gali trukti labai ilgai.

           -SO    IP protokolo skanavimas. s metodas yra naudojamas tam, kad  nus-
                  tatyti  kokius  protokolus  naudoja  j aikinys.  Technika  labai
                  paprasta: siunmi IP paketai be jokio protokolo  header'io   isus
                  nurodytus protokolus. Jeigu pvz gauname "ICMP protocol unreachi-
                  ble" (ICMP protoklolas nepasiekiamas) atsakymvadinasi protokolas
                  nenaudojamas, prieu atveju skaitoma, kad jis atviras.

           -sA    ACK skanavimas: s metodas paprastai yra naudojamas tam, kad iiti
                  firewall'nies sinisykles. Jis gali pad nustatyti ar  firewall'as
                  tikras, ar paprasusias pakettras, blokuojantis aukians SYN pake-
                  tukus.

           -sW    Window skanavimas. s skanavimo blabai panaCK skan skirtumas  tik
                  tas, kad skanavimo metodas kartais parodo ir atvirus portus (ACK
                  jodo).

           -sR    RPC skanavimas. Praskanavus parodoma kokia programa ir jos  ver-
                  sija laiko RPC portus atvirus.

           -b <ftp relay hostas>
                  Dar vienas pakankamai originalus skanavimo b t.y.  pasinaudojant
                  ftp  proxy  serveriu.  <ftp  relay  host'o>  formatas   gali   b
                  seris:passwordas@serveris:portas . Viskas irus serverra neb.

           BENDROSIOS OPCIJOS
                  Nei viena ia b, bet kai kurios gali bakankamai naudingos

           -P0    Skanuoti  i rt, nepabandadng'int serverio.  Tai naudinga skanuo-
                  jant  tokius  kaip  mail.takas.lt,  kurie  neatsakin   CMP  echo
                  request'us. Tokiu atveju reik naudoti -P0 arba -PT80.

           -PT    Naudoti  TCP  "ping' vietoje  standartinio ICMP ping'o. Naudinga
                  tokiais atvejais, kai serveris neatsakin i ICMO echo request'us.
                  Taip pat galima naudoti kartu su postu (-PT<portas>).

           -PS    Naudoja SYN (prisijungimo pra) vietoje ACP

           -PI    Paprastas ping'as + suranda subnet'o broadcast'u adresus tinkle.

           -PB    Standartinis ping'inimo metodas: naudoja ACP  bei  ICMP  ping'us
                  kartu. Geriausia bpatikrinti firewall'us, kurie blokuoja vien.

           -O     Viena  geriausi p'o  ypatybi erverio OS'o atpas pagal jo finger-
                  print'us  (jei  atvirai,  pats  nelabai   kas  per  biesas   tie
                  fingerprintai).

           -I     jungiamas TCP reverse ident skanavimas. Kaip 1996  Dave'as Gold-
                  smith'as pasteb, ident protokolas (rfc 1413) leidmatyti,  kokiam
                  useriui  priklauso  procesas,  kuris  naudoja  TCP  susijungima.
                  Taigi, tu gali pvz prisijungti prie 80 porto ir tada  pasinaudo-
                  jes  inentd'u,  gali  pamatyti  ar  http  serveris yra paleistas
                  root'u ar kokiu kitu userium.

           -f     Skanuojant SYN (-sS) , FIN (-sF), XMAS  (-sX)  arba  NULL  (-sN)
                  metodu, naudojami labai ma sufragmentuoti IP paketai.

           -v     Verbose  mode.  Labai  rekomenduojama opcija, ypaei norit geriau
                  suprasti kas  dedasi. naudodamas opciju kartus, efektas bus  dar
                  geresnis. Gali naudoti ir dvigubd, efektas - nerealus.  Nepaband
                  nesuprasi.

           -h     Jei norite kad nedidelis langelis jums trumpai  primintu  kelias
                  pagrindines komandas, pcija - jums.

           -oN <logas>
                  Viskas,  kas  vyksta  ekrane  bus  loginama   logas" fail.TP -oX
                  <logas> Skanavimo rezultatai igomi XML formatu   ail kur urodote
                  kaip argumentiai opcijai.

           -oG <logas>
                  opcija  i go  skanavimo rezultatus taip, kad jos galetum lengvai
                  grepinti. s gan primityvus formatas igo viskienoje eilut.

           -oS <logas>
                  Loginama aillogas" "skipt kiddie" formatu.

           --resume <logas>
                  Skanavimas, kuris buvo nutrauktas su ^C, gali bratas,  su  s ga,
                  kad  viskas  buvo loginama su -oN opcija.  Daugiau jokie parame-
                  trai negali bateikti (jie bus tokie, kokie buvo naudojami  logi-
                  nant).  nmap'as  prad skanuoti  nuo  sekan s  ma s, po tos, kuri
                  paskutinuvo singai nuskanuota..

           -iL <failas>
                  Nuskaito hostus (IP adresus) iilo "failas". Hostai faile turi  b
                  tskirti  tarpais,  TAB'ais  arba  atskirose linijose. deja opcij
                  odyti jokialite tame faile, u ra  galimyb as  nurodyti  komandin
                  eilut.

           -iR     ta  opcija  priver nmap'eneruoti atsitiktinius hostus. Jei kada
                  neturte keikti, pabandykite `nmap -sS -iR -p 80',  kad  surastum
                  kelet ww  serveri P -p <portai> Galite nurodyti kururiuos portus
                  tikrinti. pvz. -p 110 patikrins ar hostas turi pop3  server taip
                  pat galite mii nurodin portus:

                      -p  21,60-90,1243      --   21,  visi nuo 60 iki 90 bei 1243
                  portas
                      -p 1-                --  visi portai nuo 1 iki 65535.

           -F     Greitasis metodas. Skanuoja  tik  tuos  portus,  kurie  nurodyti
                  nmap'o  services faile (pagal default' /usr/local/lib/nmap/nmap-
                  services)

           -D <decoy1 [,decoy2][,decoyN][,ME]>
                  Decoy skanavimas priver skanuojamost'anyti, kad jienu metu skan-
                  uoja visi nurodyti decoy'iai. Hostai gali parodyti 5-10 skanavim
                  unikaliadrest kuris i skanuoja ikro jie pasakyti negal

                  Atskirk kiekvienecoy'ableliais (be tarpo) ir  gali  tarp  j rpti
                  'ME'  kaip  vien  coy'i ap'as ten rps tavo adresJei  nenurodysi,
                  nmap'as atsitiktinai iks tau vietTiesa, jei 'ME'  6-oje ar dar v
                  sn  vietoje,  kai  kurie  skanavim ektoriai  (tokie  kaip  Solar
                  Designer'io nepakartojamas scanlog daemon'as) gali tavo  IP  i o
                  neparodyti.

                  Nepamir kad  hostai,  kuruos  naudosi kaip decoy'ius, turi byvi,
                  kitaip gali uflood'inti taikino be to labai nesunku bus  surasti
                  skanuotojjei jis bus vienintelis gyvas visame tinkle.

                  Atkreipk dsr ai, kad kai kurie (durnesni) portnavimektoriai gali
                  aplamai skanuojantiems host'ams uti pri m sivaizduok,  kas  gali
                  nutikti, jei viencoy'iodytum "localhost':)

                  Decoy  skanavimas gali baudojamas kartu su ping (naudojant ICMP,
                  SYN, ACK, ar dar kors) arba tikru portnavimu bei bandant surasti
                  remote OS' -O ).

           -S <IP_adresas>
                  Kartais nmap'as gali nerasti jdreso. Tokiu atveju galite naudoti
                  -S opciju jP adresu bei interfeisu, kuriuo si paketus.

           -e <interfeisas>
                  Nurodo nmap'ui kokiu interfeisu sipaketus.  (lo, ppp0,  eth0  ir
                  etc.)

           -g <portas>
                  Nurodo  ikio porto skanuoti. Daugelis firewall' filtraro iis DNS
                  (53) bei FTP-DATA (20) paketams.

           -n     Liepia nmap'ui net nemnti rezolvinti ip adresdus, nes daai babai
                  ls procesas ir stabdo nmap'o darb.TP -R Prieai nei -n opcija, -R
                  liepia nmap'ui visada pamnti iolvinti  ip  adres .TP  -r  Nurodo
                  nmap'ui portus skanuoti NE atsitiktine tvarka.

           --randomize_hosts
                  Nmap'as  atsitiktine  tvarka  i  iekvien rupugiau nei 2048 hoste
                  adedant juos skanuoti. Tai  tiek suklaidina irius tinklo  stebe-
                  jimo nkius.

           -M <maximalus susijungimu skaicius>
                  Nustato  naksimal ijungimu skai, kuris bus naudojamas paralel su
                  TCP(standarti) skanavimu.

           LAIKO APRIBOJIMAI

           -T <Paranoid|Sneaky|Polite|Normal|Aggressive|Insane>
                  Paranoid - pats lausias skanavimo b Insane  -  pats  grei usias,
                  deja  ne toks tikslus, ypaei tinklas ls.  Vietoj  galite naudoti
                  ir -T (0-5), kur 0 == Paranoid, 1 == Sneaky ir t.t.

           --host_timeout <milisekund
                  Nurodo kiek laiko nmap'as gali skanuoti duot IP. Laikas  turi  b
                  ema ei  200 milisekundTP --max_rtt_timeout <milisekund Kiek dau-
                  giausia laiko nmap'as gali laukti atsakymo ianuojamo IP.

           --scan_delay <milisekund
                  Nustato minimalko tarpkuri nmap'as  turi  laukti  tarp  bandym i
                  naudingiausia siekiant sumatinklo apkrovim

## TAIKINIO NURODYMO BAI

           Viskas,  kas n opcijos, nmap'e suprantama kaip taikinys.  Paprasusias b
           yra nurodyti konkres IP arba hostus.  Jeigu norite nuskanuoti IP  adres
           net' galite  prid  /mask hostname'ui  ar  IP  adresui.  Maskturi barp 0
           (norint nuskanuoti visnternetir 32 (norint nuskanuoti konkrett'P.  Nau-
           dok /24 'C' klasadresnavimui bei /16 'B' klasadresnavimui.

           nmap'as  taip  pat turi gan patogialimybustatin IP adresus s/atstumais.
           pvz. gali nuskanuoti 'B' klasamas 128.210.*.* arba  128.210.0-255.0-255
           arba  dar  128.210.0-50,51-255.1,2,3,4,5-255 . Manau kad tai pakankamai
           patogu ir nesudnga.

## KELETAS PAVYZD.Sp

           nmap -sX -e lo -P0 -S 127.0.0.3 localhost

           Pasinaudodamas Xmas  Tree  skanavimo  metodu,  apsimetin mas,  kad  esu
           127.0.0.3  Loopback  protokolu  skanuoju savo localhost'tai kaip atrodo
           ipchains''as:

           Packet log: input DENY lo PROTO=6  127.0.0.3:37009  127.0.0.1:139  L=40
           S=0x00 I=53682 F=0x0000 T=41 (#1)

           kaip  matote,  kernelis  yra   tikin kad jkanuoja i7.0.0.3 o tai ir yra
           vienas svarbiausiaviniikti nematomiems :)

           nmap -sS -O target.example.com/24

           stealth SYN metodu nuskanuoja visas 255 mas, esan s  target.example.com
           'C' klas. Taip pat bando nustatyti kiekvieno i operacinistem.Sp host -l
           company.com | cut '-d ' -f 4 | ./nmap -v -iL -

           suranda visus *.company.com hostus ir atiduoda juos nmap'ui, kuris savo
           ruoijungverbose mode visus juos nuskanuoja.

           nmap -sN -D microsoft.com,mail.takas.lt,ME -oN /root/crazy -p 1-1024 -O
           crazy.com

           skanauoja Null skanavimo  re panaudoja  du  decoy  adresus,  visk ogina
           root/crazy  fail skanuoja nuo 1 iki 1024 crazy.com portus bei stengiasi
           atsp crazy.com serverio operacinistemSH BUGAI Vabalai? Kokie dar  vabal
           ai?  Na..  jei  rasit  koki tinai  si autoriui: <fyodor@insecure.org> .
           Pachai taip pat labai laukiami. Taip pat nepamire siOS'gerprintus,  kad
           nmap'o  autoriai  gal  pl i  duom.  baz Apie  tai smulkiau galite rasti
           docs/nmap-fingerprinting-article.txt dokumente arba  nmap'o  puslapyje:
           http://www.insecure.org/nmap

## AUTORIUS

           Fyodor <fyodor@insecure.org>

## IERT.Sp

           Aurimas Mikalauskas <inner@crazy.lt>

## PLATINIMAS

           NaujausiI nmap'o versijisada galite rasti :

           http://www.insecure.org/nmap/

           nmap is (C) 1997,1998,1999,2000 by Fyodor (fyodor@insecure.org)

           libpcap'as  yra  taip  pat platinamas kartu su nmap'u. Autorines teises
           uri Van Jacobson, Craig Leres ir Steven McCanne, visi iwrence  Berkeley
           nacionalinLaboratorijos Kalifornijos Universiteto,  Berkeley,  CA. Ver-
           sija platinama su nmap'u  gali  b erra jama.  Sourcus  galit  parsisi i
           ftp://ftp.ee.lbl.gov/libpcap.tar.Z

## PABAIGAI

           D uosi,  kad  pagaliau  pasiek galDabar jau galite skaityti save kvali-
           fikuotu nmap'o guru.

           beje, jei norite kors prid ar pakeisti e dokumente, arba (neduok Dieve)
           radot  koki  bug'u, rat man adresu, pateiktu sekcijoje itaip s manualas
           abejoju ar bus atnaujinamas, bet pa naujausimap-lt-HOWTO visada  galite
           rasti mano puslapyje:

           http://crazy.lt/~inner

                                                                           NMAP(1)